Assignee: Go MAEDA % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

Currently, the user import feature (#33102) does not have a feature to send account information to newly created users. Since there

is a "Send account information to the user" checkbox when adding users one by one from the web UI, I think there should be the

same kind of feature for importing from CSV.

The "Import users" screen already has a "Send email notifications during the import" checkbox (#22771, currently not working when

importing users). I think it would be better if the account information is sent when this checkbox is turned on.

Associated revisions

Revision 21058 - 2021-07-03 11:40 - Go MAEDA

Allow sending account information when importing users (#35365).

Patch by Yuichi HARADA.

History

#1 - 2021-06-15 09:09 - Yuichi HARADA

- File 35365.patch added

Go MAEDA wrote:

The "Import users" screen already has a "Send email notifications during the import" checkbox (#22771, currently not working when importing

users). I think it would be better if the account information is sent when this checkbox is turned on.

 +1

"Send email notifications during the import" checkbox didn't work, but it works with the following patch.

diff --git a/app/models/user_import.rb b/app/models/user_import.rb

index 71407c14e..609c9b078 100644

--- a/app/models/user_import.rb

+++ b/app/models/user_import.rb

@@ -115,4 +115,8 @@ class UserImport < Import

     object.send(:safe_attributes=, attributes, user)

     object

   end

+

+  def extend_object(row, item, object)

+    Mailer.deliver_account_information(object, object.password) if yes?(settings['notifications'])

+  end

 end

#2 - 2021-06-22 04:17 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2021-06-30 14:33 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#4 - 2021-07-03 11:46 - Go MAEDA
https://www.redmine.org/issues/33102
https://www.redmine.org/issues/22771
https://www.redmine.org/issues/22771


- Subject changed from Allow sending account information to the user when importing users to Allow sending account information when importing

users

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Now you can send account information if you check the "Send email notifications during the import" checkbox on the user import dialog.

Files

35365.patch 1.45 KB 2021-06-15 Yuichi HARADA
